# TransportException (sshj 0.5.0 API)
Date: 2011-07-27

## net.schmizz.sshj.transport
Class TransportException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  net.schmizz.sshj.common.SSHException
                      net.schmizz.sshj.transport.TransportException

All Implemented Interfaces:
  Serializable

    public class TransportException

extends SSHException

Transport-layer exception

See Also:
  Serialized Form

Field Summary
`static ExceptionChainer<TransportException>` `chainer`

Constructor Summary
`TransportException(DisconnectReason code)`
`TransportException(DisconnectReason code, String message)`
`TransportException(DisconnectReason code, String message, Throwable cause)`
`TransportException(DisconnectReason code, Throwable cause)`
`TransportException(String message)`
`TransportException(String message, Throwable cause)`
`TransportException(Throwable cause)`

Method Summary

Methods inherited from class net.schmizz.sshj.common.SSHException
`getDisconnectReason, getMessage, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### chainer

    public static final ExceptionChainer<TransportException> chainer

See Also:
  `ExceptionChainer`

Constructor Detail

### TransportException

    public TransportException(DisconnectReason code)

### TransportException

    public TransportException(DisconnectReason code,
                              String message)

### TransportException

    public TransportException(DisconnectReason code,
                              String message,
                              Throwable cause)

### TransportException

    public TransportException(DisconnectReason code,
                              Throwable cause)

### TransportException

    public TransportException(String message)

### TransportException

    public TransportException(String message,
                              Throwable cause)

### TransportException

    public TransportException(Throwable cause)

Copyright © 2009-2011. All Rights Reserved.